## akonadi-mime 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.0")
+set(PIM_VERSION "6.5.1")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -18,6 +18,7 @@
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
+include(ECMQmlModule)
 
 include(ECMSetupVersion)
 file(
@@ -63,8 +64,8 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.5.0")
-set(KPIM_MIME_VERSION "6.5.0")
+set(AKONADI_VERSION "6.5.1")
+set(KPIM_MIME_VERSION "6.5.1")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
@@ -73,6 +74,7 @@
 )
 
 ########### Find packages ###########
+find_package(Qt6QmlIntegration ${QT_REQUIRED_VERSION} REQUIRED)
 find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
