=== src/CMakeLists.txt ===
--- 
+++ 
@@ -121,6 +121,8 @@
 endif()
 generate_export_header(KPim6AkonadiMime BASE_NAME akonadi-mime)
 
+qt_extract_metatypes(KPim6AkonadiMime)
+
 add_library(KPim6::AkonadiMime ALIAS KPim6AkonadiMime)
 
 target_include_directories(
@@ -236,3 +238,5 @@
 ## install the MIME type spec file for KDEPIM specific MIME types
 install(FILES x-vnd.kde.contactgroup.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
 update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
+
+add_subdirectory(quick)
