=== debian/changelog ===
akonadi-mime (4:25.08.1-0ubuntu2) questing; urgency=medium

  * Update not-installed.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 18:27:06 +0100

akonadi-mime (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:03:54 +0100
