## akonadi-mime 25.08.1+p24.04+vstable+git20250911.1217

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
