=== debian/control ===
Source: akonadi-mime
Section: libs
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-dev,
               kpim6-kmime-dev,
               libxslt1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               reuse,
               shared-mime-info (>= 1.3~),
               xsltproc
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-mime.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-mime
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-mime
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: akonadi-mime-data,
          libkf5akonadimime-data,
          libkf5akonadimime5,
          libkpim5akonadimime-data,
          libkpim5akonadimime5
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-akonadi-mime-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kpim6-akonadi-dev,
         kpim6-akonadi-mime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5akonadimime-dev, libkpim5akonadimime-dev
Description: Akonadi MIME handling library - development files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: akonadi-mime-data
Architecture: all
Depends: kpim6-akonadi-mime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadimime-dev
Architecture: all
Depends: kpim6-akonadi-mime-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadimime5
Architecture: all
Depends: kpim6-akonadi-mime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadimime-data
Architecture: all
Depends: kpim6-akonadi-mime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadimime-dev
Architecture: all
Depends: kpim6-akonadi-mime-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadimime5
Architecture: all
Depends: kpim6-akonadi-mime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
