## akonadi-mime 25.08.1+p24.04+vstable+git20250916.0022

=== debian/changelog ===
akonadi-mime (4:25.08.1+p24.04+vstable+git20250916.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 00:22:22 +0000
