## akonadi-mime 25.08.2+p24.04+vstable+git20251015.1737

=== debian/changelog ===
akonadi-mime (4:25.08.2+p24.04+vstable+git20251015.1737-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:37:46 +0000

akonadi-mime (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:53:39 +0000
