## akonadi-mime 25.08.2+p24.04+vstable+git20251019.0612

=== debian/changelog ===
akonadi-mime (4:25.08.2+p24.04+vstable+git20251019.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:12:14 +0000
