=== debian/changelog ===
akonadi-mime (4:25.08.3+p24.04+vunstable+git20251204.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:13:45 +0000

akonadi-mime (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:05 +1000
