## akonadi-mime 25.08.3+p24.04+vunstable+git20251208.0334

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -65,7 +65,7 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.41")
 set(KPIM_MIME_VERSION "6.6.40")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
@@ -105,7 +105,7 @@
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.20.0
+     KF 6.21.0
 )
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
