=== debian/changelog ===
akonadi-mime (4:25.08.3+p24.04+vunstable+git20251208.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:34:37 +0000
