## akonadi-mime 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -65,8 +65,8 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.5.80")
-set(KPIM_MIME_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.90")
+set(KPIM_MIME_VERSION "6.5.90")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
