## akonadi-mime 25.12.0+p24.04+vstable+git20251222.0515

=== debian/changelog ===
akonadi-mime (4:25.12.0+p24.04+vstable+git20251222.0515-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:15:31 +0000

akonadi-mime (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:01 +1000
