## akonadi-mime 25.12.0+p24.04+vunstable+git20251211.0314

=== debian/changelog ===
akonadi-mime (4:25.12.0+p24.04+vunstable+git20251211.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:14:23 +0000
